{% extends "layout.jinja" %}
{% set active_page = "rsvp" %}
{% block body %}
<main role="main" class="inner cover">
  <h1>We Hope You Can Join Us!</h1>
  <form action="{{ url_for('auth.rsvp') }}" method=post>
    <dl>
    <dt>RSVP
      <dd><select name=attending>
            <option selected="selected" value="Yes"> Yes, I'll be there!</option>
            <option value="No"> I regretfully cannot attend </option>
            <option value="No"> I could attend but I don't feel like it </option>
          </select>
      <dt>Name
      <dd><input type=text name=name> </dd>
      <div id="plus_one_div"></div>
        <button type="button" class="btn btn-outline-light" name="plusone" id="plusone" onclick="addPlusOne()"> Add +1 </button>
        <div class="form-check">
          <input class="form-check-input" type="checkbox" name="dietchkbox" id="dietchkbox"> 
          <label class="form-check-label">Dietary Restrictions</label>
        </div>
      <div id="dietary_div">
        <dd><input type=text name="dietary">
      </div>
      <dd><input type=submit  class="btn btn-outline-light" value=Submit> </dd>
    </dl>
  </form>

<p>The favor of your reply is requested by May 1st</p>
</main>
{% endblock %}

{% block scripts %}
<script>
  $(function() {
    var plusone = $("#plus_one_div");
    var checkbox = $("#chkbox");
    plusone.hide();
    checkbox.change(function() {
      if (checkbox.is(':checked')) {
        plusone.show();
      } else {
        plusone.hide();
      }
    });
  });

  $(function() {
    var diet_div = $("#dietary_div");
    var dietcheckbox = $("#dietchkbox");
    diet_div.hide();
    dietcheckbox.change(function() {
      if (dietcheckbox.is(':checked')) {
        diet_div.show();
      } else {
        diet_div.hide();
      }
    });
  });

  var plusOnes=1;
  var elementID=0;
  function addPlusOne() {
    if(plusOnes < 5){
      var newID= "plus"+ elementID.toString();
      $("#plus_one_div").append('<div class="container" id="' + newID + '"style="position: relative; left: 9px">'+
      '<dd><input type=text name=name></input>' +
      '<button type="button" class="close" style="position: relative; float: none; padding: 3px" aria-label="Close" onclick="deletePlusOne('+ newID+')">x</button></dd>'+
      '</div>')
      div = document.getElementById("plus_one_div");
      div.style = '';
      plusOnes += 1;
      elementID += 1;
    }
  }

  function deletePlusOne(deleteid){
    div.removeChild(deleteid);
    plusOnes -= 1;
  }
  </script>
{% endblock %}